Bug 7504 - numerous build glitches to be fixed
numerous build glitches to be fixed
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.3
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 09:55 UTC by Björn Jacke
Modified: 2010-06-17 05:34 UTC (History)
0 users

See Also:


Attachments
patch1 (1.11 KB, patch)
2010-06-09 09:56 UTC, Björn Jacke
metze: review+
Details
0002-s3-Makefile-position-independency-is-also-needed-for.patch (1.27 KB, patch)
2010-06-09 09:57 UTC, Björn Jacke
metze: review+
Details
0003-s3-Makefile-add-missing-linker-flags-for-smbfilter.patch (987 bytes, patch)
2010-06-09 09:58 UTC, Björn Jacke
metze: review+
Details
0004-s3-configure-add-Werror_FLAGS-for-IBM-s-xlc.patch (1.81 KB, patch)
2010-06-09 09:58 UTC, Björn Jacke
metze: review+
Details
0005-s3-add-m4-macro-to-check-if-stderr-is-empty-or-not.patch (1.08 KB, patch)
2010-06-09 09:59 UTC, Björn Jacke
metze: review+
Details
0006-s3-fix-check-for-pie-compiler-flags.patch (1013 bytes, patch)
2010-06-09 09:59 UTC, Björn Jacke
metze: review+
Details
0007-s3-use-autoconf-macro-to-get-some-debug-output-in-co.patch (1.24 KB, patch)
2010-06-09 10:00 UTC, Björn Jacke
metze: review+
Details
0008-s3-final-test-for-working-shlib-support-requires-PIC.patch (1.01 KB, patch)
2010-06-09 10:00 UTC, Björn Jacke
metze: review+
Details
0009-s3-build-remove-CFLAGS-from-Solaris-LDSHFLAGS-SHLD-h.patch (956 bytes, patch)
2010-06-09 10:01 UTC, Björn Jacke
metze: review+
Details
another fix required to make the aix buildfarm build greener (1.30 KB, patch)
2010-06-16 06:54 UTC, Björn Jacke
metze: review+
Details
patch to fix missing SUN_LEN on IRIX and HP-UX (865 bytes, patch)
2010-06-16 15:04 UTC, Björn Jacke
metze: review+
Details
fix shlib build on IRIX (787 bytes, patch)
2010-06-17 04:47 UTC, Björn Jacke
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2010-06-09 09:55:48 UTC
there have been many build fixes been done recently, which should be brought back to 3.5. The git commit messages should be self-descriptive. I've put them together and cleanly rebased them for 3.5. Here they are:
Comment 1 Björn Jacke 2010-06-09 09:56:40 UTC
Created attachment 5776 [details]
patch1
Comment 2 Björn Jacke 2010-06-09 09:57:38 UTC
Created attachment 5777 [details]
0002-s3-Makefile-position-independency-is-also-needed-for.patch
Comment 3 Björn Jacke 2010-06-09 09:58:13 UTC
Created attachment 5778 [details]
0003-s3-Makefile-add-missing-linker-flags-for-smbfilter.patch
Comment 4 Björn Jacke 2010-06-09 09:58:44 UTC
Created attachment 5779 [details]
0004-s3-configure-add-Werror_FLAGS-for-IBM-s-xlc.patch
Comment 5 Björn Jacke 2010-06-09 09:59:12 UTC
Created attachment 5780 [details]
0005-s3-add-m4-macro-to-check-if-stderr-is-empty-or-not.patch
Comment 6 Björn Jacke 2010-06-09 09:59:39 UTC
Created attachment 5781 [details]
0006-s3-fix-check-for-pie-compiler-flags.patch
Comment 7 Björn Jacke 2010-06-09 10:00:06 UTC
Created attachment 5782 [details]
0007-s3-use-autoconf-macro-to-get-some-debug-output-in-co.patch
Comment 8 Björn Jacke 2010-06-09 10:00:32 UTC
Created attachment 5783 [details]
0008-s3-final-test-for-working-shlib-support-requires-PIC.patch
Comment 9 Björn Jacke 2010-06-09 10:01:07 UTC
Created attachment 5784 [details]
0009-s3-build-remove-CFLAGS-from-Solaris-LDSHFLAGS-SHLD-h.patch
Comment 10 Stefan Metzmacher 2010-06-15 05:35:38 UTC
Comment on attachment 5776 [details]
patch1

Looks good
Comment 11 Stefan Metzmacher 2010-06-15 05:37:47 UTC
Comment on attachment 5777 [details]
0002-s3-Makefile-position-independency-is-also-needed-for.patch

Looks good
Comment 12 Stefan Metzmacher 2010-06-15 05:38:14 UTC
Comment on attachment 5778 [details]
0003-s3-Makefile-add-missing-linker-flags-for-smbfilter.patch

Looks good
Comment 13 Stefan Metzmacher 2010-06-15 05:38:38 UTC
Comment on attachment 5779 [details]
0004-s3-configure-add-Werror_FLAGS-for-IBM-s-xlc.patch

Looks good
Comment 14 Stefan Metzmacher 2010-06-15 05:39:34 UTC
Comment on attachment 5780 [details]
0005-s3-add-m4-macro-to-check-if-stderr-is-empty-or-not.patch

Looks good
Comment 15 Stefan Metzmacher 2010-06-15 05:42:13 UTC
Comment on attachment 5781 [details]
0006-s3-fix-check-for-pie-compiler-flags.patch

Looks good
Comment 16 Stefan Metzmacher 2010-06-15 05:44:21 UTC
Comment on attachment 5782 [details]
0007-s3-use-autoconf-macro-to-get-some-debug-output-in-co.patch

Looks good
Comment 17 Stefan Metzmacher 2010-06-15 05:45:04 UTC
Comment on attachment 5783 [details]
0008-s3-final-test-for-working-shlib-support-requires-PIC.patch

Looks good
Comment 18 Stefan Metzmacher 2010-06-15 05:45:36 UTC
Comment on attachment 5784 [details]
0009-s3-build-remove-CFLAGS-from-Solaris-LDSHFLAGS-SHLD-h.patch

Looks good
Comment 19 Stefan Metzmacher 2010-06-15 05:52:13 UTC
Karolin, please pick for the next release
Comment 20 Karolin Seeger 2010-06-16 01:32:02 UTC
Pushed to v3-5-test. Will be included in 3.5.4.
Closing out bug report.

Thanks!
Comment 21 Björn Jacke 2010-06-16 06:54:20 UTC
Created attachment 5793 [details]
another fix required to make the aix buildfarm build greener
Comment 22 Björn Jacke 2010-06-16 06:56:00 UTC
metze, can you please review one more? :-)
Comment 23 Stefan Metzmacher 2010-06-16 06:56:57 UTC
Comment on attachment 5793 [details]
another fix required to make the aix buildfarm build greener

Looks good
Comment 24 Karolin Seeger 2010-06-16 07:04:34 UTC
(In reply to comment #21)
> Created an attachment (id=5793) [details]
> another fix required to make the aix buildfarm build greener
> 

Pushed to v3-5-test.
Closing out bug report.
Comment 25 Björn Jacke 2010-06-16 15:04:19 UTC
Created attachment 5796 [details]
patch to fix missing SUN_LEN on IRIX and HP-UX
Comment 26 Björn Jacke 2010-06-16 15:07:07 UTC
another small patch to see more green in the build farm.
Metze, can you please review another one? :-)
Comment 27 Björn Jacke 2010-06-17 04:47:36 UTC
Created attachment 5798 [details]
fix shlib build on IRIX
Comment 28 Stefan Metzmacher 2010-06-17 04:58:16 UTC
Comment on attachment 5796 [details]
patch to fix missing SUN_LEN on IRIX and HP-UX

Looks ok
Comment 29 Stefan Metzmacher 2010-06-17 04:58:39 UTC
Comment on attachment 5798 [details]
fix shlib build on IRIX

Looks ok
Comment 30 Karolin Seeger 2010-06-17 05:34:15 UTC
Pushed the last two patches to v3-5-test.
Closing out bug report.

Thanks!